<?php

namespace Database\Seeders;

use App\Models\ClubSociety;
use App\Models\ClubSocietyCategory;
use App\Models\Registration;
use App\Models\Student;
use Faker\Factory;
use Illuminate\Database\Seeder;

class ClubSocietySeeder extends Seeder
{

    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {
        $this->clubSocietyCategorySeeder();
        $this->clubSocietySeeder();
        $this->registrationSeeder();
    }

    public function registrationSeeder()
    {
        $students = Student::all();
        $totalClubSociety = ClubSociety::count();
        $registrations = [];
        foreach ($students as $student) {
            array_push($registrations, [
                'uuid' => uniqueUuidByModel(new Registration()),
                "model_type" => ClubSociety::class,
                "model_id" => rand(1, $totalClubSociety),
                "student_id" => $student->id,
            ]);
        }
        Registration::upsertUniqueBy($registrations, ['model_type', 'student_id']);
    }

    public function clubSocietyCategorySeeder()
    {
        $categories = [
            ['uuid' => uniqueUuidByModel(new ClubSocietyCategory()), 'name' => 'Community Centric'],
            ['uuid' => uniqueUuidByModel(new ClubSocietyCategory()), 'name' => 'Public Speaking'],
            ['uuid' => uniqueUuidByModel(new ClubSocietyCategory()), 'name' => 'Business and Entrepreneurship'],
            ['uuid' => uniqueUuidByModel(new ClubSocietyCategory()), 'name' => 'Spiritual Connectivity'],
            ['uuid' => uniqueUuidByModel(new ClubSocietyCategory()), 'name' => 'Cultural'],
            ['uuid' => uniqueUuidByModel(new ClubSocietyCategory()), 'name' => 'Media & Arts'],
            ['uuid' => uniqueUuidByModel(new ClubSocietyCategory()), 'name' => 'Performing Arts'],
            ['uuid' => uniqueUuidByModel(new ClubSocietyCategory()), 'name' => 'Special Interest'],
            ['uuid' => uniqueUuidByModel(new ClubSocietyCategory()), 'name' => 'Student Body'],
            ['uuid' => uniqueUuidByModel(new ClubSocietyCategory()), 'name' => 'International Students'],
            ['uuid' => uniqueUuidByModel(new ClubSocietyCategory()), 'name' => 'Sports'],
        ];
        ClubSocietyCategory::upsertUniqueBy($categories, ['name']);
    }

    public function clubSocietySeeder()
    {
        $clubSocieties = collect(array(
            array(
                "name" => "Agent of Tech",
                "email" => "agentsoftech.tlc@gmail.com",
                "social_name" => "Facebook=https://www.facebook.com/AgentsOfTech/ || Instagram=https://www.instagram.com/agentsoftech",
                "contact_number" => "123",
                "category_id" => 3,
                "link" => "https://docs.google.com/forms/d/e/1FAIpQLScDvhJpGn41OF_wNmVVIzMkQZjZ5K7aDgSi8Xkh87007tc3Qg/viewform",
                "created_by" => 1,
                "updated_by" => NULL,
                "created_at" => "2020-03-16 09:24:35",
                "updated_at" => "2020-05-04 10:29:48",
            ),
            array(
                "name" => "Anime Society",
                "email" => "ls.animeintaylors@gmail.com",
                "social_name" => "Facebook=https://www.facebook.com/taylorsanimesociety/ || Instagram=https://instagram.com/taslakeside",
                "contact_number" => "0",
                "category_id" => 5,
                "link" => "https://forms.gle/HPE2ZAZNeqnNTQxd9",
                "created_by" => 22,
                "updated_by" => NULL,
                "created_at" => "2020-03-16 09:24:35",
                "updated_at" => "2020-04-07 16:28:21",
            ),
            array(
                "name" => "K-Generation",
                "email" => "kgen.tlc@gmail.com",
                "social_name" => "Facebook=https://www.facebook.com/kgentlc/ || Instagram=https://www.instagram.com/kgentaylors/",
                "contact_number" => "0",
                "category_id" => 5,
                "link" => "https://forms.gle/HPE2ZAZNeqnNTQxd9",
                "created_by" => 22,
                "updated_by" => NULL,
                "created_at" => "2020-03-16 09:24:35",
                "updated_at" => "2020-04-07 18:11:57",
            ),
            array(
                "name" => "24 Festive Drums",
                "email" => "tu24festivedrum@gmail.com",
                "social_name" => "Facebook=https://www.facebook.com/tu24festivedrum/||Instagram=https://www.instagram.com/tu24fd",
                "contact_number" => "0122343311",
                "category_id" => 5,
                "link" => "https://docs.google.com/forms/d/e/1FAIpQLScDvhJpGn41OF_wNmVVIzMkQZjZ5K7aDgSi8Xkh87007tc3Qg/viewform",
                "created_by" => 1,
                "updated_by" => NULL,
                "created_at" => "2020-03-19 16:22:49",
                "updated_at" => "2020-05-04 10:30:43",
            ),
            array(
                "name" => "Animal Welfare Society",
                "email" => "taylorsanimalwelfare@gmail.com",
                "social_name" => "Instagram=https://www.instagram.com/taylorsanimalwelfare/",
                "contact_number" => "0",
                "category_id" => 1,
                "link" => "https://forms.gle/HPE2ZAZNeqnNTQxd9",
                "created_by" => 22,
                "updated_by" => NULL,
                "created_at" => "2020-03-19 16:32:14",
                "updated_at" => "2020-04-07 16:27:12",
            ),
            array(
                "name" => "AIESEC",
                "email" => "tu@aiesec.my",
                "social_name" => "Facebook=https://www.facebook.com/AIESECTU.my/ || Instagram=https://www.instagram.com/aiesec.tu",
                "contact_number" => "123",
                "category_id" => 3,
                "link" => "https://docs.google.com/forms/d/e/1FAIpQLScDvhJpGn41OF_wNmVVIzMkQZjZ5K7aDgSi8Xkh87007tc3Qg/viewform",
                "created_by" => 1,
                "updated_by" => NULL,
                "created_at" => "2020-03-19 16:39:17",
                "updated_at" => "2020-05-04 10:29:18",
            ),
            array(
                "name" => "Astronomical Society",
                "email" => "astronomical.tlc@gmail.com",
                "social_name" => "Facebook=https://www.facebook.com/Taylors-Astronomical-Society-100331804715672/  || Instagram=https://www.instagram.com/taylors_astronomical_society/",
                "contact_number" => "0",
                "category_id" => 8,
                "link" => "https://forms.gle/HPE2ZAZNeqnNTQxd9",
                "created_by" => 22,
                "updated_by" => NULL,
                "created_at" => "2020-03-19 17:39:56",
                "updated_at" => "2020-04-07 16:29:23",
            ),
            array(
                "name" => "Buddhist Club",
                "email" => "gdbtaylor@gmail.com",
                "social_name" => "Facebook=https://www.facebook.com/buddhism.tlc/ || Instagram=https://www.instagram.com/buddhism.tlc/",
                "contact_number" => "0",
                "category_id" => 4,
                "link" => "https://forms.gle/HPE2ZAZNeqnNTQxd9",
                "created_by" => 22,
                "updated_by" => NULL,
                "created_at" => "2020-03-19 17:45:02",
                "updated_at" => "2020-04-07 16:38:25",
            ),
            array(
                "name" => "Bursa Young Investor Club",
                "email" => "byic.tlc@gmail.com",
                "social_name" => "Facebook=https://www.facebook.com/BYICTaylorsUniversity/ || Instagram=https://www.instagram.com/byictu/",
                "contact_number" => "0",
                "category_id" => 3,
                "link" => "https://forms.gle/HPE2ZAZNeqnNTQxd9",
                "created_by" => 22,
                "updated_by" => NULL,
                "created_at" => "2020-03-19 17:46:20",
                "updated_at" => "2020-04-07 16:39:54",
            ),
            array(
                "name" => "Catholic Society",
                "email" => "catholicsociety.tlc@gmail.com",
                "social_name" => "Facebook=https://www.facebook.com/groups/106230569417852/",
                "contact_number" => "0",
                "category_id" => 4,
                "link" => "https://forms.gle/HPE2ZAZNeqnNTQxd9",
                "created_by" => 22,
                "updated_by" => NULL,
                "created_at" => "2020-03-19 17:47:25",
                "updated_at" => "2020-04-07 16:40:38",
            ),
            array(
                "name" => "Chinese Society",
                "email" => "chinesesociety.tlc@gmail.com",
                "social_name" => "Facebook=https://www.facebook.com/TaylorsChineseSociety/ ||  Instagram=https://www.instagram.com/taylors_chinese_society/",
                "contact_number" => "0",
                "category_id" => 5,
                "link" => "https://forms.gle/HPE2ZAZNeqnNTQxd9",
                "created_by" => 22,
                "updated_by" => NULL,
                "created_at" => "2020-03-19 17:48:23",
                "updated_at" => "2020-04-07 16:41:17",
            ),
            array(
                "name" => "Community Service Initiatives (C.S.I) Volunteers",
                "email" => "taylors.csi@gmail.com",
                "social_name" => "Facebook=https://www.facebook.com/Taylors.CSI || Instagram=https://www.instagram.com/csitaylors/",
                "contact_number" => "0",
                "category_id" => 1,
                "link" => "https://forms.gle/HPE2ZAZNeqnNTQxd9",
                "created_by" => 22,
                "updated_by" => NULL,
                "created_at" => "2020-03-19 17:50:08",
                "updated_at" => "2020-04-07 17:09:18",
            ),
            array(
                "name" => "Dance Club",
                "email" => "danceclub.tlc@gmail.com",
                "social_name" => "Facebook=https://www.facebook.com/TaylorsUniDanceClub || Instagram=https://www.instagram.com/tldanceclub/",
                "contact_number" => "0",
                "category_id" => 7,
                "link" => "https://forms.gle/HPE2ZAZNeqnNTQxd9",
                "created_by" => 22,
                "updated_by" => NULL,
                "created_at" => "2020-03-19 17:51:06",
                "updated_at" => "2020-04-07 17:10:55",
            ),
            array(
                "name" => "Debaters Club",
                "email" => "tudebaters@gmail.com",
                "social_name" => "Facebook=https://www.facebook.com/taylorsdebaters || Instagram=https://www.instagram.com/taylorsdebaters/",
                "contact_number" => "0",
                "category_id" => 2,
                "link" => "https://forms.gle/HPE2ZAZNeqnNTQxd9",
                "created_by" => 22,
                "updated_by" => NULL,
                "created_at" => "2020-03-19 17:52:03",
                "updated_at" => "2020-04-07 17:11:59",
            ),
            array(
                "name" => "Entrepreneurship and Intrapreneurship Club",
                "email" => "eniclub.tulc@gmail.com",
                "social_name" => "Facebook=https://www.facebook.com/eniclub.tlc/ || Instagram=https://www.instagram.com/eni.tulc/",
                "contact_number" => "0",
                "category_id" => 3,
                "link" => "https://forms.gle/HPE2ZAZNeqnNTQxd9",
                "created_by" => 22,
                "updated_by" => NULL,
                "created_at" => "2020-03-19 17:53:00",
                "updated_at" => "2020-04-07 17:27:17",
            ),
            array(
                "name" => "ETC. Magazine",
                "email" => "etc.taylors@gmail.com",
                "social_name" => "Facebook=http://facebook.com/etc.taylors || Instagram=http://instagram.com/etctaylors",
                "contact_number" => "0",
                "category_id" => 6,
                "link" => "https://forms.gle/HPE2ZAZNeqnNTQxd9",
                "created_by" => 22,
                "updated_by" => NULL,
                "created_at" => "2020-03-19 17:54:14",
                "updated_at" => "2020-04-07 17:32:43",
            ),
            array(
                "name" => "Flix Club",
                "email" => "flixsociety.taylors@gmail.com",
                "social_name" => "Instagram=https://www.instagram.com/taylorsflixsociety/",
                "contact_number" => "0",
                "category_id" => 6,
                "link" => "https://forms.gle/HPE2ZAZNeqnNTQxd9",
                "created_by" => 22,
                "updated_by" => NULL,
                "created_at" => "2020-03-19 17:56:27",
                "updated_at" => "2020-04-07 17:33:29",
            ),
            array(
                "name" => "French Club",
                "email" => "voila.tlfc@gmail.com",
                "social_name" => "Facebook:=https://www.facebook.com/voilalefrenchclub/ || Instagram=https://www.instagram.com/voila_lefrenchclub/",
                "contact_number" => "0",
                "category_id" => 8,
                "link" => "https://forms.gle/HPE2ZAZNeqnNTQxd9",
                "created_by" => 22,
                "updated_by" => NULL,
                "created_at" => "2020-03-19 17:57:56",
                "updated_at" => "2020-04-07 17:46:28",
            ),
            array(
                "name" => "Girl Up",
                "email" => "tugirlup@gmail.com",
                "social_name" => "Facebook=https://www.facebook.com/taylorsgirlup/ || Instagram=https://www.instagram.com/taylorsgirlup/",
                "contact_number" => "0",
                "category_id" => 1,
                "link" => "https://forms.gle/HPE2ZAZNeqnNTQxd9",
                "created_by" => 22,
                "updated_by" => NULL,
                "created_at" => "2020-03-19 17:58:46",
                "updated_at" => "2020-04-07 17:50:29",
            ),
            array(
                "name" => "Indian Cultural Society",
                "email" => "indiansoc.taylors@gmail.com",
                "social_name" => "Facebook=https://www.facebook.com/taylorsindianculturalsociety/ || Instagram=https://www.instagram.com/taylors_ics/",
                "contact_number" => "0",
                "category_id" => 5,
                "link" => "https://forms.gle/HPE2ZAZNeqnNTQxd9",
                "created_by" => 22,
                "updated_by" => NULL,
                "created_at" => "2020-03-19 18:01:22",
                "updated_at" => "2020-04-07 17:53:24",
            ),
            array(
                "name" => "L.I.V.E. Club",
                "email" => "tuliveclub@gmail.com",
                "social_name" => "Facebook=https://www.facebook.com/taylorsliveclub/ || Instagram=https://www.instagram.com/taylors.live.club/",
                "contact_number" => "0",
                "category_id" => 7,
                "link" => "https://forms.gle/HPE2ZAZNeqnNTQxd9",
                "created_by" => 22,
                "updated_by" => NULL,
                "created_at" => "2020-03-19 18:04:43",
                "updated_at" => "2020-04-07 18:26:37",
            ),
            array(
                "name" => "LEO Club",
                "email" => "leoclubtul@gmail.com",
                "social_name" => "Facebook=www.facebook.com/omegaleoclubtaylorsuniversity/ || Instagram=https://www.instagram.com/leoclubtulc/",
                "contact_number" => "0",
                "category_id" => 1,
                "link" => "https://forms.gle/HPE2ZAZNeqnNTQxd9",
                "created_by" => 22,
                "updated_by" => NULL,
                "created_at" => "2020-03-19 18:06:09",
                "updated_at" => "2020-04-07 18:27:10",
            ),
            array(
                "name" => "Model United Nations",
                "email" => "munclub.tlc@gmail.com",
                "social_name" => "Facebook=https://www.facebook.com/TLMUN/ || Instagram=https://www.instagram.com/tlmun_club/",
                "contact_number" => "0",
                "category_id" => 2,
                "link" => "https://forms.gle/HPE2ZAZNeqnNTQxd9",
                "created_by" => 22,
                "updated_by" => NULL,
                "created_at" => "2020-03-19 18:12:18",
                "updated_at" => "2020-04-07 18:28:10",
            ),
            array(
                "name" => "Music Club",
                "email" => "tumc.lakeside@gmail.com",
                "social_name" => "Facebook=https://facebook.com/TaylorsMusicClub/ || Instagram=https://www.instagram.com/tmusicclub/",
                "contact_number" => "0",
                "category_id" => 7,
                "link" => "https://forms.gle/HPE2ZAZNeqnNTQxd9",
                "created_by" => 22,
                "updated_by" => NULL,
                "created_at" => "2020-03-19 18:13:31",
                "updated_at" => "2020-04-07 18:29:12",
            ),
            array(
                "name" => "Muslim Students Association",
                "email" => "taylorsmuslimassociation@gmail.com",
                "social_name" => "Facebook=https://www.facebook.com/msatulc/ || Instagram=https://www.instagram.com/msa_taylorsuni/",
                "contact_number" => "0",
                "category_id" => 4,
                "link" => "https://forms.gle/HPE2ZAZNeqnNTQxd9",
                "created_by" => 22,
                "updated_by" => NULL,
                "created_at" => "2020-03-19 18:21:52",
                "updated_at" => "2020-04-07 18:31:39",
            ),
            array(
                "name" => "Nature Club",
                "email" => "natureclub.tlc@gmail.com",
                "social_name" => "Facebook=https://www.facebook.com/tunatureclub/ || Instagram=https://instagram.com/tu_natureclub",
                "contact_number" => "0",
                "category_id" => 1,
                "link" => "https://forms.gle/HPE2ZAZNeqnNTQxd9",
                "created_by" => 22,
                "updated_by" => NULL,
                "created_at" => "2020-03-19 18:33:04",
                "updated_at" => "2020-04-07 18:32:41",
            ),
            array(
                "name" => "Photography Club",
                "email" => "tupc.lakeside@gmail.com",
                "social_name" => "Facebook=https://www.facebook.com/TaylorsUniversityPhotographyClub/ || Instagram=https://www.instagram.com/tpc.lakeside/",
                "contact_number" => "0",
                "category_id" => 6,
                "link" => "https://forms.gle/HPE2ZAZNeqnNTQxd9",
                "created_by" => 22,
                "updated_by" => NULL,
                "created_at" => "2020-03-19 18:34:17",
                "updated_at" => "2020-04-07 18:37:48",
            ),
            array(
                "name" => "Pre-Medical Club",
                "email" => "tlmedicalclub@gmail.com",
                "social_name" => "Facebook=https://www.facebook.com/tlmedicalclub/ || Instagram=https://www.instagram.com/tlmedicalclub/",
                "contact_number" => "0",
                "category_id" => 8,
                "link" => "https://forms.gle/HPE2ZAZNeqnNTQxd9",
                "created_by" => 22,
                "updated_by" => NULL,
                "created_at" => "2020-03-19 18:35:28",
                "updated_at" => "2020-04-07 18:38:45",
            ),
            array(
                "name" => "Rotaract Club",
                "email" => "taylors.rotaract@gmail.com",
                "social_name" => "Facebook=https://www.facebook.com/RACTaylors/",
                "contact_number" => "0",
                "category_id" => 1,
                "link" => "https://forms.gle/HPE2ZAZNeqnNTQxd9",
                "created_by" => 22,
                "updated_by" => NULL,
                "created_at" => "2020-03-19 18:36:10",
                "updated_at" => "2020-04-07 18:39:13",
            ),
            array(
                "name" => "Society of Performing Arts (SPART)",
                "email" => "tlc.spart@gmail.com",
                "social_name" => "Facebook=www.facebook.com/BeyondActing || Instagram=https://www.instagram.com/sparttulc/",
                "contact_number" => "0",
                "category_id" => 7,
                "link" => "https://forms.gle/HPE2ZAZNeqnNTQxd9",
                "created_by" => 22,
                "updated_by" => NULL,
                "created_at" => "2020-03-19 18:47:35",
                "updated_at" => "2020-04-07 18:41:13",
            ),
            array(
                "name" => "Taylor's Symphony Orchestra",
                "email" => "symphonyorchestra.tlc@gmail.com",
                "social_name" => "Facebook=https://www.facebook.com/taylorssymphonyorchestra/ || Instagram=https://instagram.com/t.symphonyorchestra",
                "contact_number" => "0",
                "category_id" => 7,
                "link" => "https://forms.gle/HPE2ZAZNeqnNTQxd9",
                "created_by" => 22,
                "updated_by" => NULL,
                "created_at" => "2020-03-19 18:49:06",
                "updated_at" => "2020-04-07 18:45:22",
            ),
            array(
                "name" => "Toastmasters Club",
                "email" => "taylorstoastmasters@gmail.com",
                "social_name" => "Facebook=https://www.facebook.com/TaylorsToastmastersClub/  || Instagram=https://www.instagram.com/taylorstoastmasters/",
                "contact_number" => "0",
                "category_id" => 2,
                "link" => "https://forms.gle/HPE2ZAZNeqnNTQxd9",
                "created_by" => 21,
                "updated_by" => NULL,
                "created_at" => "2020-03-19 18:50:28",
                "updated_at" => "2021-05-05 16:41:55",
            ),
            array(
                "name" => "TRADISI",
                "email" => "tradisi.taylors@gmail.com",
                "social_name" => "Facebook=www.facebook.com/tradisi.tlc || Instagram=https://www.instagram.com/taylorstradisi/",
                "contact_number" => "0",
                "category_id" => 5,
                "link" => "https://www.facebook.com/TaylorsUniversityMY/",
                "created_by" => 22,
                "updated_by" => NULL,
                "created_at" => "2020-03-19 18:57:46",
                "updated_at" => "2020-04-07 18:47:44",
            ),
            array(
                "name" => "Wine & Dine Club",
                "email" => "wineanddineclub.tlc@gmail.com",
                "social_name" => "Facebook=https://www.facebook.com/wineanddinetlc/ || Instagram=https://www.instagram.com/wineanddinetlc/",
                "contact_number" => "0",
                "category_id" => 8,
                "link" => "https://forms.gle/HPE2ZAZNeqnNTQxd9",
                "created_by" => 22,
                "updated_by" => NULL,
                "created_at" => "2020-03-19 18:58:50",
                "updated_at" => "2020-04-07 18:49:01",
            ),
            array(
                "name" => "Taylor's College Student Council",
                "email" => "tcsc@taylors.edu.my",
                "social_name" => "Facebook=https://www.facebook.com/TCStudentCouncil/ || Instagram=https://www.instagram.com/tcscstudentcouncil/",
                "contact_number" => "0",
                "category_id" => 9,
                "link" => "https://forms.gle/vtGaAKVYh65tXKeX8",
                "created_by" => 22,
                "updated_by" => NULL,
                "created_at" => "2020-03-19 19:01:05",
                "updated_at" => "2020-04-07 18:42:55",
            ),
            array(
                "name" => "Taylor's University Student Council",
                "email" => "tusc@taylors.edu.my",
                "social_name" => "Facebook=www.facebook.com/taylorsunisc/ || Instagram=https://www.instagram.com/taylorsunisc/",
                "contact_number" => "0",
                "category_id" => 9,
                "link" => "https://forms.gle/HPE2ZAZNeqnNTQxd9",
                "created_by" => 22,
                "updated_by" => NULL,
                "created_at" => "2020-03-19 19:02:50",
                "updated_at" => "2020-04-07 18:46:17",
            ),
            array(
                "name" => "Orientation Leaders",
                "email" => "ol.taylors@gmail.com",
                "social_name" => "Facebook=https://www.facebook.com/Orientation.TLC || Instagram=https://www.instagram.com/orientation.tlc/",
                "contact_number" => "0",
                "category_id" => 9,
                "link" => "https://forms.gle/HPE2ZAZNeqnNTQxd9",
                "created_by" => 22,
                "updated_by" => NULL,
                "created_at" => "2020-03-19 19:06:37",
                "updated_at" => "2020-04-07 18:34:08",
            ),
            array(
                "name" => "African Society",
                "email" => "africansocietyTLC@gmail.com",
                "social_name" => "Facebook=https://www.facebook.com/taylorsafricansociety/ || Instagram=https://www.instagram.com/tas_taylors",
                "contact_number" => "123",
                "category_id" => 10,
                "link" => "https://docs.google.com/forms/d/e/1FAIpQLScDvhJpGn41OF_wNmVVIzMkQZjZ5K7aDgSi8Xkh87007tc3Qg/viewform",
                "created_by" => 1,
                "updated_by" => NULL,
                "created_at" => "2020-03-19 19:07:29",
                "updated_at" => "2020-05-04 10:30:14",
            ),
            array(
                "name" => "Bangladesh Society",
                "email" => "bangladeshsociety.taylors@gmail.com",
                "social_name" => "Facebook=https://web.facebook.com/TUBSS2019/  || Instagram=https://instagram.com/taylors.tbss",
                "contact_number" => "0",
                "category_id" => 10,
                "link" => "https://forms.gle/HPE2ZAZNeqnNTQxd9",
                "created_by" => 13,
                "updated_by" => NULL,
                "created_at" => "2020-03-19 19:08:04",
                "updated_at" => "2021-01-20 18:26:02",
            ),
            array(
                "name" => "Indonesian Society (KOMANDO '45)",
                "email" => "komando45ppitaylors.tulc@gmail.com",
                "social_name" => "Facebook=https://www.facebook.com/KOMANDO45.Taylors/ || Instagram=https://www.instagram.com/komando45/",
                "contact_number" => "0",
                "category_id" => 10,
                "link" => "https://forms.gle/HPE2ZAZNeqnNTQxd9",
                "created_by" => 22,
                "updated_by" => NULL,
                "created_at" => "2020-03-19 19:09:17",
                "updated_at" => "2020-04-07 17:59:15",
            ),
            array(
                "name" => "Korean Society",
                "email" => "Koreansociety.taylors@gmail.com",
                "social_name" => "Facebook=https://www.facebook.com/TUKSMALAYSIA/ || Instagram=https://www.instagram.com/koreansociety.tu",
                "contact_number" => "0",
                "category_id" => 10,
                "link" => "https://forms.gle/HPE2ZAZNeqnNTQxd9",
                "created_by" => 22,
                "updated_by" => NULL,
                "created_at" => "2020-03-19 19:10:44",
                "updated_at" => "2020-04-07 18:24:48",
            ),
            array(
                "name" => "Dhivehi Association",
                "email" => "taylors.dhivehi.association@gmail.com",
                "social_name" => "Facebook=https://www.facebook.com/tdatlsc/ || Instagram=https://www.instagram.com/tdatlsc/",
                "contact_number" => "0",
                "category_id" => 10,
                "link" => "https://forms.gle/HPE2ZAZNeqnNTQxd9",
                "created_by" => 22,
                "updated_by" => NULL,
                "created_at" => "2020-03-19 19:11:38",
                "updated_at" => "2020-04-07 17:23:27",
            ),
            array(
                "name" => "Pakistani Society",
                "email" => "tulcpaksociety@gmail.com",
                "social_name" => "Instagram=https://instagram.com/tulcpaksociety21",
                "contact_number" => "0",
                "category_id" => 10,
                "link" => "https://forms.gle/HPE2ZAZNeqnNTQxd9",
                "created_by" => 13,
                "updated_by" => NULL,
                "created_at" => "2020-03-19 19:12:16",
                "updated_at" => "2021-01-20 18:00:38",
            ),
            array(
                "name" => "Taylor's International Student Society",
                "email" => "taylors.tiss@gmail.com",
                "social_name" => "Facebook=http://facebook.com/tiss.taylors || Instagram=http://instagram.com/taylors.tiss",
                "contact_number" => "0182127260",
                "category_id" => 10,
                "link" => "https://docs.google.com/forms/d/e/1FAIpQLSf-gx2DUYsIjhjha6LbfirI5lEJYIfJT3RDCjKuPW1xiyeHRg/viewform",
                "created_by" => 13,
                "updated_by" => NULL,
                "created_at" => "2021-01-20 18:06:22",
                "updated_at" => "2021-01-20 18:06:22",
            ),
            array(
                "name" => "Bollywood Dance Club",
                "email" => "taylorsbollywooddanceclub@gmail.com",
                "social_name" => "Facebook=https://www.facebook.com/TaylorsBollywoodDanceClub/||Instagram=https://www.instagram.com/taylorsbollywood/",
                "contact_number" => "0163353262",
                "category_id" => 7,
                "link" => "https://docs.google.com/forms/d/e/1FAIpQLScDvhJpGn41OF_wNmVVIzMkQZjZ5K7aDgSi8Xkh87007tc3Qg/viewform",
                "created_by" => 13,
                "updated_by" => NULL,
                "created_at" => "2021-03-01 11:35:53",
                "updated_at" => "2021-03-01 11:39:38",
            ),
            array(
                "name" => "Taylor's AKPK Club",
                "email" => "taylors.akpk@gmail.com",
                "social_name" => "Facebook=https://www.facebook.com/Taylors-AKPK-Club-229428998360246/||Instagram=https://www.instagram.com/taylors.akpk/",
                "contact_number" => "0125858119",
                "category_id" => 8,
                "link" => "https://docs.google.com/forms/d/e/1FAIpQLScDvhJpGn41OF_wNmVVIzMkQZjZ5K7aDgSi8Xkh87007tc3Qg/viewform",
                "created_by" => 13,
                "updated_by" => NULL,
                "created_at" => "2021-03-01 11:42:11",
                "updated_at" => "2021-03-01 11:43:04",
            ),
        ))->map(function ($clubSociety) {
            $clubSociety['uuid'] = uniqueUuidByModel(new ClubSociety());
            $clubSociety['description'] = randomLoremIpsum20Word();
            $clubSociety['media_social'] = $clubSociety['social_name'];
            $clubSociety['club_society_category_id'] = $clubSociety['category_id'];
            unset($clubSociety['created_by']);
            unset($clubSociety['updated_by']);
            unset($clubSociety['created_at']);
            unset($clubSociety['updated_at']);
            unset($clubSociety['social_name']);
            unset($clubSociety['category_id']);
            unset($clubSociety['link']);
            return $clubSociety;
        })->toArray();
        ClubSociety::upsertUniqueBy($clubSocieties, ['name']);
    }
}
